"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = require("fs");
const graphql_1 = require("graphql");
const axios_1 = require("axios");
function downloadSchema(endpoint, outfile) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const postBody = {
            query: graphql_1.introspectionQuery,
            operationName: 'IntrospectionQuery'
        };
        const axiosResponse = yield axios_1.default.post(endpoint.trim(), postBody);
        const { data } = axiosResponse.data;
        const schema = graphql_1.printSchema(graphql_1.buildClientSchema(data));
        fs.writeFileSync(outfile, schema);
    });
}
exports.downloadSchema = downloadSchema;
