"use strict";
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const downloadSchema_1 = require("./downloadSchema");
class Mynewcli extends command_1.Command {
    run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            const { args, flags } = this.parse(Mynewcli);
            if (args.endpoint) {
                yield downloadSchema_1.downloadSchema(args.endpoint, flags.out || "schema.graphql");
                this.log(`Successfully download your GraphQL schema!`);
            }
            else {
                this.warn("Invalid ENDPOINT");
                this._help();
            }
        });
    }
}
Mynewcli.description = "Download a GraphQL schema by providing an endpoint and an optional out file.";
Mynewcli.flags = {
    // add --version flag to show CLI version
    version: command_1.flags.version({ char: "v" }),
    help: command_1.flags.help({ char: "h" }),
    // flag with a value (-n, --name=VALUE)
    out: command_1.flags.string({
        char: "o",
        description: "File name of downloaded schema",
        default: "schema.graphql"
    })
};
Mynewcli.args = [
    {
        name: "endpoint",
        description: "URI to your GraphQL endpoint, ex: https://api.example.com/graphql "
    }
];
module.exports = Mynewcli;
